Bug 110018 - iptables should restart ntpd when iptables is restarted
iptables should restart ntpd when iptables is restarted
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: iptables (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Thomas Woerner
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-13 20:07 EST by Joseph Shraibman
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-18 06:08:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Shraibman 2003-11-13 20:08:00 EST
Description of problem:
When I run /etc/rc.d/init.d/iptables restart I break ntpd.  I suggest
the iptables script on (re)start checks the status of ntpd, and if
ntpd is running it should restart ntpd (or at least print a warning
message)

Version-Release number of selected component (if applicable):
iptables-1.2.7a-2

How reproducible:
always

Steps to Reproduce:
1. /etc/rc.d/init.d/iptables restart
2. wait awhile
3. /usr/sbin/ntpq -c peers
  
Actual results:
ntpd losses sync with upstream servers

Additional info:
Should be trivial shell script change. /etc/rc.d/init.d/ntpd status
exits with an error code if ntpd is not running. I could do it myself
if asked.
Comment 1 Thomas Woerner 2005-11-18 06:08:23 EST
Please open ntp ports for your ntp servers in the iptables configuration.
There is no way that ipatbles can restart other services and this might not be a
good idea for some services.

Closing as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.